CVE-2018-1000001

Source
Severity High
Remote No
Type Privilege escalation
Description
A buffer underflow vulnerability has been discovered in the realpath() function in glibc 2.26 when getcwd() returns a relative or unreachable path (i.e. not starting with '/') which may allow privilege escalation under certain conditions.
Group Package Affected Fixed Severity Status Ticket
AVG-590 glibc, lib32-glibc 2.26-10 2.26-11 High Fixed
Date Advisory Group Package Severity Description
28 Jan 2018 ASA-201801-19 AVG-590 lib32-glibc High privilege escalation
28 Jan 2018 ASA-201801-18 AVG-590 glibc High privilege escalation
References
http://www.openwall.com/lists/oss-security/2018/01/11/5
https://sourceware.org/bugzilla/show_bug.cgi?id=22679
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=52a713fdd0a30e1bd79818e2e3c4ab44ddca1a94